@echo off

xcopy ".\*.devicemetadata-ms" "%ProgramData%\Microsoft\Windows\DeviceMetadataStore\*.*" /v/f/y



if not exist "%ProgramData%\Microsoft\Windows\DeviceMetadataStore\e7936698-cfcd-42ab-b291-a4e7f71de319.devicemetadata-ms" (
    goto Fail
)

if not exist "%ProgramData%\Microsoft\Windows\DeviceMetadataStore\b374f43d-64fa-4463-9b61-91b897e79083.devicemetadata-ms" (
    goto Fail
)
goto :SUCCESS

:Fail
echo 適用に失敗しました。
goto :END

:SUCCESS
echo 適用に成功しました。

:END
pause


